# kf2_server

Это daemon, написанный на Python, для создания группы серверов игры KillingFloor2.

# Установка (Debian)

-- устанавливаем пакеты
> sudo apt install -y git tar wget 

-- клонируем репозиторий
> git clone http://git.alanbox.ru/alan/kf2_server.git /opt/KillingFloor2

--  создаём прользователя
> useradd -m -s /bin/bash steam \\ \
su steam

-- включаем поддержку x86 архетектуры
> su root -c 'dpkg --add-architecture i386 && apt update && apt install -y ia32-libs 2> /dev/null || apt install -y lib32z1'

-- ставим steamcmd
> wget http://media.steampowered.com/client/steamcmd_linux.tar.gz \\ \
mkdir -p /home/steam/Steam/ && tar -C /home/steam/Steam/ -xvf steamcmd_linux.tar.gz \\ \
rm -rf ./steamcmd_linux.tar.gz \\ \
su root -c 'mv /opt/KillingFloor2/steamcmd /usr/games/steamcmd && chmod +x /usr/games/steamcmd && chown root: /usr/games/steamcmd'

-- загружаем игру
> steamcmd +force_install_dir /opt/KillingFloor2/Data +login anonymous +app_update 232130 validate +exit

-- ставим сервис игры
> su root -c 'mv /opt/KillingFloor2/kf2.service /etc/systemd/system/kf2.service && chown root: /etc/systemd/system/kf2.service'

-- редактируем параметры сервера, в файле подробно прокоментированн каждый
> nano /opt/KillingFloor2/config.ini

-- добавляем сервис в автозагрузку и запускаем
> su root -c 'systemctl enable kf2.service && systemctl enable kf2.service'
